summaryrefslogtreecommitdiffstats
path: root/development/jasspa
diff options
context:
space:
mode:
author Ferenc Deak <ferenc.deak@gmail.com>2010-05-11 14:05:51 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:05:51 +0200
commit72b6de39b2d3348070251abc3776a4f546b195ad (patch)
tree3e8d7d28b5d819cde440ce5b638364ac22709f6c /development/jasspa
parent28495e71e8d7af066f0a1d99a39c7cee06792d76 (diff)
downloadslackbuilds-72b6de39b2d3348070251abc3776a4f546b195ad.tar.gz
slackbuilds-72b6de39b2d3348070251abc3776a4f546b195ad.tar.xz
development/jasspa: Initial import
Diffstat (limited to 'development/jasspa')
-rw-r--r--development/jasspa/README13
-rw-r--r--development/jasspa/doinst.sh3
-rw-r--r--development/jasspa/jasspa.SlackBuild66
-rw-r--r--development/jasspa/jasspa.desktop10
-rw-r--r--development/jasspa/jasspa.info8
-rw-r--r--development/jasspa/more-info.txt16
-rw-r--r--development/jasspa/slack-desc11
7 files changed, 127 insertions, 0 deletions
diff --git a/development/jasspa/README b/development/jasspa/README
new file mode 100644
index 0000000000..2196d2b0d5
--- /dev/null
+++ b/development/jasspa/README
@@ -0,0 +1,13 @@
+jasspa (enhanced microemacs text editor)
+
+Jasspa's MicroEmacs is an Emacs editor biased towards UNIX users,
+working across platforms by providing a consistent interface under
+UNIX, Microsoft Windows 3.1/'95/'98/NT/2K/XP and DOS operating
+systems.
+It features syntax highlighling, folding, multiple undo/redo, macro
+languge, organizer, mailer, calendar, multiple frames and windows and
+much more See it's internal help for full list of features.
+
+In addtion to a file listed in jasspa.info you need the macro package from
+http://www.jasspa.com/release_20060909/jasspa-metree-20060909-2.tar.gz
+to be able to compile and use jasspa.
diff --git a/development/jasspa/doinst.sh b/development/jasspa/doinst.sh
new file mode 100644
index 0000000000..37f8fcb218
--- /dev/null
+++ b/development/jasspa/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+fi
diff --git a/development/jasspa/jasspa.SlackBuild b/development/jasspa/jasspa.SlackBuild
new file mode 100644
index 0000000000..a31e7ba171
--- /dev/null
+++ b/development/jasspa/jasspa.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for jasspa
+
+# Written by Ferenc Deak <ferenc.deak@gmail.com>
+
+set -e
+
+PRGNAM=jasspa
+VERSION=060909
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf me$VERSION
+tar xzf $CWD/$PRGNAM-mesrc-20$VERSION-2.tar.gz
+cd me$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cd src
+sed -i -e "s/\\(COPTIMISE\\s*=\\s*\\)-O3\\(.*\\)/\\1$SLKCFLAGS\\2/" linux2.gmk
+sed -i -e "s/\\(COPTIMISE\\s*=\\s*\\)-O3\\(.*\\)/\\1$SLKCFLAGS\\2/" linux26.gmk
+./build
+install -D -m 755 me $PKG/usr/bin/me
+
+mkdir -p $PKG/usr/share
+# extract macros under /usr/share
+tar xzf $CWD/$PRGNAM-metree-20$VERSION-2.tar.gz -C $PKG/usr/share
+chown -R root:root $PKG/usr/share/$PRGNAM
+chmod -R u+w,go+r-w,a-s $PKG/usr/share/$PRGNAM
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../{COPYING,change.log,faq.txt,license.txt,readme.txt} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+
diff --git a/development/jasspa/jasspa.desktop b/development/jasspa/jasspa.desktop
new file mode 100644
index 0000000000..00b99007d9
--- /dev/null
+++ b/development/jasspa/jasspa.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Jasspa
+Comment=Enhanced Microemacs Text Editor
+Exec=me
+Icon=/usr/share/jasspa/pixmaps/me_l.png
+Terminal=false
+Type=Application
+Categories=Application;Utility
+StartupNotify=false
+Encoding=UTF-8
diff --git a/development/jasspa/jasspa.info b/development/jasspa/jasspa.info
new file mode 100644
index 0000000000..6f0f9f9c33
--- /dev/null
+++ b/development/jasspa/jasspa.info
@@ -0,0 +1,8 @@
+PRGNAM="jasspa"
+VERSION="060909"
+HOMEPAGE="http://www.jasspa.com/"
+DOWNLOAD="http://www.jasspa.com/release_20060909/jasspa-mesrc-20060909-2.tar.gz"
+MD5SUM="6606ec40da39352e5cbb644090a13820"
+MAINTAINER="Ferenc Deak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="BP{k}"
diff --git a/development/jasspa/more-info.txt b/development/jasspa/more-info.txt
new file mode 100644
index 0000000000..da8cbcb33b
--- /dev/null
+++ b/development/jasspa/more-info.txt
@@ -0,0 +1,16 @@
+- jasspa is a descendant of the original microemacs, with a lot of additions
+
+- there is a 'build' script in the distribution which autodetects a few
+ things, so I use this script.
+ - but if I use this script I have to patch linux2.gmk and linux26.gmk
+
+- there is a macro package called jasspa-metree-20$VERSION-2.tar.gz which is
+ needed to use the editor. (link in README)
+
+- there is a special version called nanoemacs (ne) which is a small macro-less
+ minimal version. I do not build this version because I think it is not so
+ useful.
+
+- this is my second editor after vim
+
+
diff --git a/development/jasspa/slack-desc b/development/jasspa/slack-desc
new file mode 100644
index 0000000000..fb322d0a55
--- /dev/null
+++ b/development/jasspa/slack-desc
@@ -0,0 +1,11 @@
+jasspa: jasspa (enhanced microemacs text editor)
+jasspa:
+jasspa: Jasspa's MicroEmacs is an Emacs editor biased towards UNIX users,
+jasspa: working across platforms by providing a consistent interface under
+jasspa: UNIX, Microsoft Windows 3.1/'95/'98/NT/2K/XP and DOS operating
+jasspa: systems.
+jasspa: It features syntax highlighling, folding, multiple undo/redo, macro
+jasspa: languge, organizer, mailer, calendar, multiple frames and windows and
+jasspa: much more See it's internal help for full list of features.
+jasspa:
+jasspa: